module Feature.Sharing.HTTP ( routes ) where

import           Core.Types

import           Feature.Sharing.Templates
import qualified Feature.Sharing.Mongo as DB

import qualified Data.Text      as T
import qualified Data.Text.Lazy as LT

import Control.Monad.Reader (ask, lift)
import Data.AesonBson       (aesonify)
import Data.Bson            (Document, Field (..), Value (..), lookup)
import Web.Scotty.Trans 
import Prelude              hiding (id, lookup)

routes :: PurrApp ()
routes = do 

  get "/pw/:id" $ do
    id  <- param "id"
    doc <- DB.findByLink id
    html $ renderPw id (pwLookup doc)

  post "/pw" $ do
    id  <- param "userLink"
    doc <- DB.findByLink id
    html $ renderPw id (pwLookup doc)

pwLookup :: Maybe Document -> Maybe String
pwLookup (Just x) = (lookup "password" x)
pwLookup _ = Nothing
